summaryrefslogtreecommitdiffstats
path: root/network/putty
diff options
context:
space:
mode:
author Michael Johnson <youngmug@animeneko.net>2010-05-11 19:46:00 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:00 +0200
commit399cf14e257e2e6e90d131c86545d688af242877 (patch)
tree3f0c5e3da557f1cd1e63161d2def41a53867f722 /network/putty
parente9c71ac48b263ecc5e6682e37a4d7ba8e1c18b72 (diff)
downloadslackbuilds-399cf14e257e2e6e90d131c86545d688af242877.tar.gz
slackbuilds-399cf14e257e2e6e90d131c86545d688af242877.tar.xz
network/putty: Updated for version 0.60
Diffstat (limited to 'network/putty')
-rw-r--r--network/putty/README6
-rw-r--r--network/putty/putty-makefile.diff18
-rw-r--r--network/putty/putty.SlackBuild41
-rw-r--r--network/putty/putty.info8
-rw-r--r--network/putty/slack-desc12
5 files changed, 35 insertions, 50 deletions
diff --git a/network/putty/README b/network/putty/README
index 81867ddb21..15f86de298 100644
--- a/network/putty/README
+++ b/network/putty/README
@@ -2,6 +2,6 @@ PuTTY is a free implementation of Telnet and SSH for Win32 and Unix
platforms, along with an xterm terminal emulator. It is written and
maintained primarily by Simon Tatham.
-PuTTY requires GTK+ 1.2 (part of official Slackware) to build the
-GUI tools.
-
+PLEASE NOTE: The PuTTY package conflicts with pssh in Slackware. If
+you install PuTTY, you'll overwrite the /usr/bin/pscp binary. After
+removing PuTTY, you will have to reinstall pssh (N series) again.
diff --git a/network/putty/putty-makefile.diff b/network/putty/putty-makefile.diff
deleted file mode 100644
index 564a070741..0000000000
--- a/network/putty/putty-makefile.diff
+++ /dev/null
@@ -1,18 +0,0 @@
---- Makefile.gtk.orig 2006-11-30 14:52:38.000000000 -0800
-+++ Makefile.gtk 2006-11-30 14:53:07.000000000 -0800
-@@ -83,13 +83,13 @@
- CC = $(TOOLPATH)cc
-
- CFLAGS = -O2 -Wall -Werror -g -I.././ -I../charset/ -I../windows/ -I../unix/ \
-- -I../mac/ -I../macosx/ `gtk-config --cflags`
-+ -I../mac/ -I../macosx/ `gtk-config --cflags` $(SLKCFLAGS)
- XLDFLAGS = `gtk-config --libs`
- ULDFLAGS =#
- INSTALL=install
- INSTALL_PROGRAM=$(INSTALL)
- INSTALL_DATA=$(INSTALL)
--prefix=/usr/local
-+prefix=/usr
- exec_prefix=$(prefix)
- bindir=$(exec_prefix)/bin
- mandir=$(prefix)/man
diff --git a/network/putty/putty.SlackBuild b/network/putty/putty.SlackBuild
index 3f1f98fa3f..1cb35a89fe 100644
--- a/network/putty/putty.SlackBuild
+++ b/network/putty/putty.SlackBuild
@@ -4,12 +4,15 @@
# Written by <youngmug@animeneko.net>
+# Modified by Michael Wagner <lapinours@web.de>
+# as putty now uses autoconf.
+
PRGNAM=putty
-VERSION=0.58
+VERSION=0.60
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -35,21 +38,18 @@ cd $TMP/$PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# PuTTY's Makefile is in the unix subdirectory.
-cd unix
-
-# Patch the Makefile to the prefix we want.
-cat $CWD/putty-makefile.diff | patch -p0 --verbose
+# Create $PKG tree.
+mkdir -p $PKG/usr/{bin,man/man1,doc/$PRGNAM-$VERSION/html}
-# Build the software
-SLKCFLAGS="$SLKCFLAGS" \
-make -f Makefile.gtk || exit 1
+cd unix
-# The install process is stupid and needs the directories to exist...
-mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man
-# Okay, directories made, now we can install
-make -f Makefile.gtk install DESTDIR=$PKG || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -58,17 +58,14 @@ make -f Makefile.gtk install DESTDIR=$PKG || exit 1
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
# Switch back to main source directory
cd $TMP/$PRGNAM-$VERSION
-# Make the documentation directory and copy some docs
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+# Copy some docs
cp -a README LICENCE doc/puttydoc.txt $PKG/usr/doc/$PRGNAM-$VERSION
-
-#Copy the HTML docs
cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
mkdir -p $PKG/install
@@ -76,9 +73,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-if [ "$1" = "--cleanup" ]; then
- cd $CWD
- rm -rf $TMP/$PRGNAM-$VERSION
- rm -rf $PKG
-fi
diff --git a/network/putty/putty.info b/network/putty/putty.info
index 76e75ba243..5fcca77ae1 100644
--- a/network/putty/putty.info
+++ b/network/putty/putty.info
@@ -1,8 +1,8 @@
PRGNAM="putty"
-VERSION="0.58"
+VERSION="0.60"
HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
-DOWNLOAD="http://the.earth.li/~sgtatham/putty/latest/putty-0.58.tar.gz"
-MD5SUM="ffb78a7db7e4802896189b2112714a9f"
+DOWNLOAD="http://the.earth.li/~sgtatham/putty/latest/putty-0.60.tar.gz"
+MD5SUM="07e65fd98b16d115ae38a180bfb242e2"
MAINTAINER="Michael Johnson"
EMAIL="youngmug@animeneko.net"
-APPROVED="robw810"
+APPROVED="rworkman"
diff --git a/network/putty/slack-desc b/network/putty/slack-desc
index 62dec2378f..9f69904099 100644
--- a/network/putty/slack-desc
+++ b/network/putty/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
putty: putty (A Free Telnet/SSH Client)
putty:
putty: PuTTY is a free implementation of Telnet and SSH for Win32 and
@@ -5,3 +13,7 @@ putty: Unix platforms, along with an xterm terminal emulator. It is
putty: written and maintained primarily by Simon Tatham.
putty:
putty:
+putty:
+putty:
+putty:
+putty: